Bug 114251 - Hang loading spreadsheet
Summary: Hang loading spreadsheet
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.beta1
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.0.1 target:6....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Calc-Threaded
  Show dependency treegraph
 
Reported: 2017-12-05 04:27 UTC by Jim Avera
Modified: 2018-06-22 18:43 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
hang.ods (162.38 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-12-05 04:28 UTC, Jim Avera
Details
hang2.ods - see comment #19 (153.64 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-12-27 04:10 UTC, Jim Avera
Details
tickers.csv - see comment #23 (2.48 KB, text/plain)
2017-12-27 21:53 UTC, Jim Avera
Details
hang3.ods - please use this one (removed sheets with old broken formulas) (102.86 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-12-28 19:27 UTC, Jim Avera
Details
gdbtrace-nodbg-hang3-master2017-12-26.log (segfault; no symbols) (34.63 KB, text/plain)
2017-12-28 19:39 UTC, Jim Avera
Details
--backtrace log of assert fails opening hang3.ods on 12/28 WITH debug syms (10.55 KB, text/plain)
2017-12-28 19:40 UTC, Jim Avera
Details
gdbtrace-dbg-hang3-master2017-12-28.log (assert fails) (10.55 KB, text/plain)
2017-12-28 19:45 UTC, Jim Avera
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Avera 2017-12-05 04:27:48 UTC
Description:
The lastest master hangs while loading the attached spreadsheet.   The hang is not CPU-bound, so might be a deadlock.

REGRESSION -- earlier builds (including 6.0.0.0.alpha) did not hang

Steps to Reproduce:
1. Download the attached "hang.ods"
2. /path/to/program/soffice hang.ods
   Do not enable macros (if prompted)

Actual Results:  
LO window becomes unresponsive.  

"top" show a java process running with low CPu (1.7%).  

Expected Results:
No hang.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: aa0b08980aba7bc82ab75151129b0c643cde7dfa
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-04_23:24:32
Locale: en-US (en_US.UTF-8); Calc: group threaded


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Jim Avera 2017-12-05 04:28:57 UTC
Created attachment 138222 [details]
hang.ods
Comment 2 Xisco Faulí 2017-12-05 11:35:42 UTC
Trying to reproduce it, I found sometimes it hungs and sometimes not and I found a reliable way of reproducing the hang:

1. Launch LibreOffice in safe-mode: instdir/program/soffice --safe-mode
2. Open the document -> It doesn't hang
3. Go to sheet COST -> it hangs

Regression introduced by:

author	Tor Lillqvist <tml@collabora.com>	2017-08-29 22:11:06 +0300
committer	Dennis Francis <dennis.francis@collabora.co.uk>	2017-11-21 16:09:40 +0530
commit	facc02e40557d382f8509f42f2340a692678d0e3 (patch)
tree	8aaf61c9f650aeabbabc50b07d2275114cd82e83
parent	91d0e65018300c259bba7b565bbf82f2e380784d (diff)
Make formula group weight take number of cells referenced into account
And not just the number of rows in the group. This means that even
relatively short formula groups that calculate over large ranges of
cells will be eligible for parallelized calculation. The weight of a
formula group is the number of rows in the group times the weight of
the formula.

The weight of a formula is for now the number of cells referenced by
all cell ranges in the formula, divided by 10. For instance, the
weight of SUM(A1:B100) would be 20. If no cell ranges are used, the
formula's weight is one.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Tor Lillqvist and Dennis Francis
Comment 3 Eike Rathke 2017-12-16 13:03:23 UTC
It hangs when threading is enabled, it "only" is slow when threading is disabled.

Also, any input on sheet COST leads to a waiting time. The conditional formatting is executed every time after input for each cell where it is applied and that is visible (plus an extra row which unfortunately hits here because the window freeze is just above the first row with a conditional format).

The slowness is gone if the commit mentioned above is "undone" by just returning 1 in ScFormulaCell::GetWeight() as a test, thus not triggering a group calculation as it is smaller than mnOpenCLMinimumFormulaGroupSize. In this case, adding messages to the FormulaLogger (e.g, aScope.addGroupSizeThresholdMessage() that even calls GetWeight() again) for each cell a group was not executed is suboptimal..

The slowness is also related to the fact that each group is only 2 cells (rows 8 and 9) in each column and doing all group related setup and gathering values is much more overhead than just calculating the cells.

The worst part then is the SoftwareInterpreter nonsense because it has no clue about the semantics of ranges and implicit intersections (which this document heavily uses) and the implications of arrays, and blindly replaces every range encountered with an array, forcing calculations to array mode where they should not, e.g. matrix divisions of entire columns just to pick one result element and throw a million away.

Certainly the weight gathering should be reworked to not hit the threshold for just a very few cells.

Even more necessarily the SoftwareInterpreterFunc::operator() needs to be taught when to replace a range with an array and when not.
Comment 4 Eike Rathke 2017-12-16 15:07:48 UTC
(In reply to Eike Rathke from comment #3)
> The worst part then is the SoftwareInterpreter nonsense because it has no
> clue about the semantics of ranges and implicit intersections (which this
> document heavily uses) and the implications of arrays, and blindly replaces
> every range encountered with an array, forcing calculations to array mode
> where they should not, e.g. matrix divisions of entire columns just to pick
> one result element and throw a million away.
> 
> Even more necessarily the SoftwareInterpreterFunc::operator() needs to be
> taught when to replace a range with an array and when not.

I was wrong on this. Actually it is ScGroupTokenConverter::convert() (called from ScFormulaCell::InterpretFormulaGroup()) that blindly forces the array. SoftwareInterpreterFunc::operator() only takes the generated formula::svDoubleVectorRef to create the matrix tokens.
Comment 5 Commit Notification 2017-12-16 20:03:14 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da81ec6862490a87bc240edb81c0a9b5fd04a1b3

Do not recalculate the same weight over and over again, tdf#114251 related

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2017-12-16 20:05:06 UTC
That ^^^ commit does not solve anything, it's just something I spotted while debugging.
Comment 7 Commit Notification 2017-12-17 13:31:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ecac94f3a6872538c19827603b52f1ed7e671a4c

Type svIndex does not necessarily mean range name, tdf#114251 related

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-12-17 14:01:24 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3193e78aba75c5b38d2683d9fd8593820048e8b9

Related: tdf#114251 disable ocName named expressions for vectorization

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Eike Rathke 2017-12-17 14:15:37 UTC
@Dennis, Tor: loading with threading enabled and switching to sheet COST gave me

sc/source/core/data/formulacell.cxx:2582: void ScFormulaCell::MaybeInterpret(): Assertion `!pDocument->mbThreadedGroupCalcInProgress' failed.

For cell at position {nRow = 8, nCol = 17, nTab = 7}
via ScInterpreter::GetDouble() with svDoubleRef generating an implicit intersection with range
{aStart = {nRow = 0, nCol = 10, nTab = 7}, aEnd = {nRow = 1048537, nCol = 10, nTab = 7}}
=> {nRow = 8, nCol = 10, nTab = 7}
Comment 10 Commit Notification 2017-12-17 17:00:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67444cbe5dae6e24db776ab712017ad063319276

Related: tdf#114251 disable vectorization of svDoubleRef

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-12-17 23:08:24 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99210a149c859fcd683870b280adaeeffd1250e4

Unit test for implicit intersection with shared formulas, tdf#114251 related

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2017-12-18 11:47:09 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14ce530d467a21d2d7fdae5272c5cc4b83104bdc&h=libreoffice-6-0

Do not recalculate the same weight over and over again, tdf#114251 related

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-12-18 11:47:18 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22cfc4385ed2e272013fc300f593ab9fae61f3b2&h=libreoffice-6-0

Related: tdf#114251 disable ocName named expressions for vectorization

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2017-12-18 11:47:26 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21575d3bd1caa615687f44982ad2092e9c9290f1&h=libreoffice-6-0

Related: tdf#114251 disable vectorization of svDoubleRef

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2017-12-18 11:47:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee7c13e134bfa620535714721085c1c0856a84df&h=libreoffice-6-0

Type svIndex does not necessarily mean range name, tdf#114251 related

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2017-12-21 00:12:11 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b366adcf5aca8bb22ccd0dd270ab08e9c8976b5b

Invert logic, include only known good, tdf#114251 related

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2017-12-21 23:12:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16d75204418455c0d9dff13607432dae33a7566e&h=libreoffice-6-0

Invert logic, include only known good, tdf#114251 related

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Jim Avera 2017-12-27 04:10:54 UTC
Created attachment 138673 [details]
hang2.ods - see comment #19
Comment 19 Jim Avera 2017-12-27 04:13:13 UTC
Unfortunately something is still wrong.  I downloaded master, built 
2017-12-25_23:59:18 (I don't know for certain that it has the patches, but several days have elapsed).

The original "hang.ods" no longer hangs when loading, 
but a newer version of that spreadsheet (attached) does

STEPS TO REPRODUCE:

1. Download the attached "hang2.ods" (not hang.ods)
2. /path/to/soffice hang2.ods
3. If prompted about macros, click "Disable Macros"

(Hangs with empty white window.  
Does not respond to clicking the window-manager close button)

4. ^C to kill the hung process
5. /path/to/soffice hang2.ods
6. When prompted to send crash report, click "Don't Send".
7. If prompted, click "Disable Macros"

pure virtual method called
pure virtual method called
terminate called recursively
terminate called without an active exception
Comment 20 Xavier Van Wijmeersch 2017-12-27 20:10:32 UTC
Can open hang2.ods with no problems, but is see a lot of value errors

Version: 6.1.0.0.alpha0+
Build ID: 2bf1cc7372088ec31ac5f0fb60de57feda59d3b7
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded (homebuild)

But have a crash with, crash report has been sent

Version: 6.1.0.0.alpha0+
Build ID: 86a939d5fd93173949447337738fa0625803ec92
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-25_09:06:24
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 21 Jim Avera 2017-12-27 21:52:09 UTC
The #VALUE! errors are expected if macros are disabled, because most of the formulas directly or indirectly call a user-defined function written in Basic.

If you can load the spreadsheet with macros disabled, please try with macros ENABLED, to test formula re-evaluation and conditional formats.  

For a complete test (requires linux/unix):

  1. Download the attachment "tickers.csv" and 
         place it in $HOME/Jts/tickers.csv   

  2, Run soffice hang2.ods
      ENABLE macros when prompted 
      (if not prompted, go to tools->options->Security->Macro Security and select "medium", click OK, then File->Reload)

  3. Click the yellow "Reload tickers.csv" button on any sheet

This WFM on LO 5.5 or earlier, but hangs when loading on the most recent master build: 

Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 12; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-26_23:09:36
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 22 Jim Avera 2017-12-27 21:53:37 UTC
Created attachment 138700 [details]
tickers.csv - see comment #23
Comment 23 Jim Avera 2017-12-27 22:26:48 UTC
Oops, wrong instructions in comment #21 -- it won't find tickers.csv as-is.  This works:

1. Download tickers.csv and put it anywhere you like
2. open hang2.ods and Enable macros.
3. View the _PROTO sheet (click the second button on the bottom)
4. Modify cell AE4 to contain the path to tickers.csv
    (use Control-Z to undo LO's helpful removal of forward slashes :-)
5. Click the yellow "Reload tickers.csv" button

If all goes well you should see a new "HD" sheet with valid cell values.

I'm sorry for posting wrong instructions
Comment 24 Xavier Van Wijmeersch 2017-12-28 11:52:54 UTC
Confirm hang with macros enabled 

Version: 6.1.0.0.alpha0+
Build ID: 2bf1cc7372088ec31ac5f0fb60de57feda59d3b7
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threade

Can load document with macros enabled in

Version: 5.4.5.0.0+
Build ID: a61f45499856aad9910d82af1312a163504c15c2
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

but sheet hd result with a lot of #value errors
Comment 25 Telesto 2017-12-28 14:11:36 UTC
Not sure if this is relevant (and the right place), but both files are also crashing when clicking on a button - for example -  (%ITM, TV%) at the sheet VRSK, with Macro's disabled and without the separate CSV

Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-26_23:10:23
Locale: nl-NL (nl_NL); Calc: CL
Comment 26 Jim Avera 2017-12-28 19:27:03 UTC
Created attachment 138718 [details]
hang3.ods - please use this one (removed sheets with old broken formulas)
Comment 27 Jim Avera 2017-12-28 19:38:00 UTC
There were some bad formulas on some sheets in the prior demos, so I uploade a new one (hang3.ods).  Please use that one to avoid being distracted.

Running the 12/26 non-dbg master, hang3.ods segfaults while opening. 
  See gdbtrace-nodbg-hang3-master2017-12-26.log

Running 12/28 dbg master build, hang3.ods gets assertion failures
and subsequent SIGABRTs
  See gdbtrace-dbg-hang3-master2017-12-28.log

The exact build info is in the gdb log files.
Comment 28 Jim Avera 2017-12-28 19:39:08 UTC
Created attachment 138719 [details]
gdbtrace-nodbg-hang3-master2017-12-26.log (segfault; no symbols)
Comment 29 Jim Avera 2017-12-28 19:40:08 UTC
Created attachment 138720 [details]
--backtrace log of assert fails opening hang3.ods on 12/28 WITH debug syms
Comment 30 Jim Avera 2017-12-28 19:45:27 UTC
Created attachment 138721 [details]
gdbtrace-dbg-hang3-master2017-12-28.log (assert fails)
Comment 31 Commit Notification 2018-01-07 14:20:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=174822c33c8d35d514fbb713e6a22d20559bb034&h=libreoffice-5-4

Related: tdf#114251 disable ocName named expressions for vectorization

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Jim Avera 2018-01-08 02:38:06 UTC
> It will be available in 5.4.5.

Please be careful.   5.4.x is the only version which currently works well with this spreadsheet, so I'd hate to see the problems currently plaguing master creep into that branch!
Comment 33 Commit Notification 2018-01-22 22:48:05 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0443eb8bf5ed79d13ec1aa49ac83ed2b2e8eea54&h=libreoffice-5-4

Type svIndex does not necessarily mean range name, tdf#114251 related

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2018-01-22 22:49:28 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=811b40327c15e197b0967393e4071f48a60af42a&h=libreoffice-5-4

Related: tdf#114251 disable vectorization of svDoubleRef

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Jim Avera 2018-01-30 22:07:56 UTC
master builds still hang while loading "hang3.ods" (attached).

Version: 6.1.0.0.alpha0+
Build ID: e29565272c57c6cd09cb015c2e66bfe8a1f4d7d2
CPU threads: 12; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-01-29_23:29:16
Locale: en-US (en_US.UTF-8); Calc: group threaded


I also re-tested with the latest 5.4 build (5.4.5.0.0+ 2018-01-30_10:34:41), 
since some patches were submitted to 5.4 per comment #31,32,33, 34.
Everything seems normal, i.e. no hang or other problems.  
FWIW I never observed this bug on a 5.4 build.
Comment 36 Eike Rathke 2018-01-30 22:52:56 UTC
My commits didn't claim to fix anything, they only touched related areas, hence the "Related" in the commit message, which also lead to overeager vectorization in earlier releases without causing this "hang" (which it is not, it is just unbearable slow, eventually it will finish).

The real cause is triggering the threaded group interpreter here, see my comment 3 and comment 4.

Something for Dennis to fix.
Comment 37 Dennis Francis 2018-06-21 10:05:45 UTC
Can't repro in master now. There were a lot of fixes regarding cpu threading recently, may this is fixed now. Can anyone confirm ?
Comment 38 Jim Avera 2018-06-22 18:22:43 UTC Comment hidden (obsolete)
Comment 39 Jim Avera 2018-06-22 18:31:08 UTC Comment hidden (obsolete)
Comment 40 Jim Avera 2018-06-22 18:43:56 UTC
Master loads the spreadsheet successfully, but still hangs when using macros to change the data (it might just be super-slow, don't know; but it sits there using 100% CPU).

STEPS TO REPRODUCE:

1. Download tickers.csv and hang3.ods (attached)

2. Run the test described in comment 23 but use hang3.ods
   Namely:
      load hang3.ods and ENABLE macros
      On sheet "_PROTO", edit cell AE4 to contain the path to tickers.csv
       (use control-Z to undo unhelpful auto-corrections)
      Click the yellow "Reload" button

RESULTS: 100% CPU "hang"

This spreadsheet works fine using LO 5.5